Template combinations cannot be created

08/24/2016 06:11 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Templates   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3772

  

Description

Currently, strong parameters is not allowing passing the nested attributes required to ProvisioningTemplate to create

TemplateCombinations through the UI.

The fix is as simple as permitting those parameters in a 'nested' context.

Related issues:

Related to Foreman - Feature #3917: Add strong_parameters to foreman Closed 12/19/2013

Associated revisions

Revision 058d472e - 08/26/2016 02:52 AM - Daniel Lobato Garcia

Fixes #16264 - Template combinations cannot be created

Currently, strong parameters is not allowing passing the nested

attributes required to ProvisioningTemplate to create

TemplateCombinations through the UI.

The fix is as simple as permitting those parameters in a 'nested'

context.

History

#1 - 08/24/2016 06:12 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/3772 added

#2 - 08/24/2016 06:13 AM - Dominic Cleal

- Related to Feature #3917: Add strong_parameters to foreman added

#3 - 08/24/2016 06:13 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#4 - 08/26/2016 03:02 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 058d472e9a2cda19f9a4c3c351bfc9b8d8d95147.

#5 - 09/06/2016 10:00 AM - Daniel Lobato Garcia

- Target version set to 1.6.2
